Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 475480 - Xorg stabilization list for September
Summary: Xorg stabilization list for September
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: STABLEREQ
: 476608 483776 (view as bug list)
Depends on: 446432 447152 461534 461536 464514 472058 473518 475548 481824 486756 486790
Blocks: 453304 461916 471098 CVE-2013-1872 472532 CVE-2013-2179 475122 476606 gnome-3.8-stable 485436
  Show dependency tree
 
Reported: 2013-07-02 10:25 UTC by Chí-Thanh Christopher Nguyễn
Modified: 2013-12-24 16:33 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
x11_stable.list v1 (x11_stable.list,12.95 KB, text/plain)
2013-07-02 10:25 UTC, Chí-Thanh Christopher Nguyễn
Details
x11_stable.list v2 (x11_stable.list,15.98 KB, text/plain)
2013-09-15 15:22 UTC, Chí-Thanh Christopher Nguyễn
Details
x11_stable.list v3 (x11_stable.list,15.58 KB, text/plain)
2013-09-15 18:16 UTC, Chí-Thanh Christopher Nguyễn
Details
x11_stable.list v4 (x11_stable.list,15.78 KB, text/plain)
2013-09-19 17:57 UTC, Chí-Thanh Christopher Nguyễn
Details
x11_stable.list v5 (x11_stable.list,15.88 KB, text/plain)
2013-09-25 16:10 UTC, Chí-Thanh Christopher Nguyễn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chí-Thanh Christopher Nguyễn gentoo-dev 2013-07-02 10:25:44 UTC
Created attachment 352438 [details]
x11_stable.list v1

This bug is for stabilization of x11 packages, except cairo which is handled in bug 447354.

No talking here, please. If you find a regression that should block stabilization: report a separate bug and make it block this bug.

To generate the keywords list for your arch, run
# awk '/YOURARCHHERE/ {print "="$1}' x11_stable.list > x11_stable.keywords
Comment 1 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-07-12 08:39:52 UTC
*** Bug 476608 has been marked as a duplicate of this bug. ***
Comment 2 Nikoli 2013-09-03 16:05:14 UTC
Seems attached list is obsolete, please update it, i would like to test new X11 packages.
Comment 3 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-09-15 14:29:38 UTC
*** Bug 483776 has been marked as a duplicate of this bug. ***
Comment 4 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-09-15 15:22:15 UTC
Created attachment 358716 [details]
x11_stable.list v2
Comment 5 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-09-15 18:16:48 UTC
Created attachment 358728 [details]
x11_stable.list v3

* target lower versions of mesa and xf86-video-intel
* drop libva-vdpau-driver as it needs more recent libva
Comment 6 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-09-19 17:57:09 UTC
Created attachment 359040 [details]
x11_stable.list v4

* Change stabilization targets for ati-drivers, twm and xinput
Comment 7 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-09-19 18:00:26 UTC
Arches, please stabilize the list from attachment 359040 [details].

s390/sh: per council decision, you will become an unstable arch, so feel free to drop yourself from this bug.
Comment 8 Jeroen Roovers gentoo-dev 2013-09-20 16:29:17 UTC
emerge: there are no ebuilds to satisfy "=x11-terms/xterm-297".
Comment 9 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-09-20 18:15:46 UTC
(In reply to Jeroen Roovers from comment #8)
Sorry about that, it is committed now.

Arches, you may skip stabilization of xterm-297 for now if you think it is too early for a package that was just committed.
Comment 10 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-09-20 21:54:02 UTC
FYI: we (multilib@) have stable-masked the abi_x86_32 on most of the packages in the tree. Therefore, the packages can be stabilized without worrying about multilib. We will stabilize the 'multilib part' later as a replacement for emul-linux.
Comment 11 Pacho Ramos gentoo-dev 2013-09-21 08:30:05 UTC
Drop arches that will go to testing only
Comment 12 Agostino Sarubbo gentoo-dev 2013-09-21 14:03:20 UTC
This stable request can't be completed because of the following repoman's error(s):

  dependency.bad                4                                                                                                                                                   
   x11-libs/libXft/libXft-2.3.1-r1.ebuild: DEPEND: amd64(hardened/linux/amd64) 
['media-libs/freetype[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_x86_32(-)?,abi_x86_64(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?]', 'media-libs/fontconfig[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_x86_32(-)?,abi_x86_64(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?]']


In case you are the maintainer of the needed package(s), please authorize the stabilization and edit the summary of this bug.
In case you are not the maintainer of the needed package(s), please open the necessary bug(s) and make a block for this bug.

To find the full list, feel free to follow this article: http://blogs.gentoo.org/ago/2012/07/06/repoman-check-before-file-stable-request
Comment 13 Agostino Sarubbo gentoo-dev 2013-09-21 14:17:12 UTC
This stable request can't be completed because of the following repoman's error(s):

  dependency.bad                4
   x11-libs/libpciaccess/libpciaccess-0.13.2.ebuild: DEPEND: amd64(hardened/linux/amd64) ['sys-libs/zlib[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_x86_32(-)?,abi_x86_64(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?]']


In case you are the maintainer of the needed package(s), please authorize the stabilization and edit the summary of this bug.
In case you are not the maintainer of the needed package(s), please open the necessary bug(s) and make a block for this bug.

To find the full list, feel free to follow this article: http://blogs.gentoo.org/ago/2012/07/06/repoman-check-before-file-stable-request
Comment 14 Alexander Tsoy 2013-09-24 16:22:10 UTC
Please drop x11-drivers/ati-drivers-13.9 from the stabilization list. AMD removed it from the download page [1]. Explanation at [2].

[1] http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx
[2] http://devgurus.amd.com/thread/167491
Comment 15 Chí-Thanh Christopher Nguyễn gentoo-dev 2013-09-25 16:10:19 UTC
Created attachment 359436 [details]
x11_stable.list v5

* New xf86-video-fbdev and xf86-video-savage stabilization targets

(In reply to Alexander Tsoy from comment #14)
This is the wrong place to discuss, please read comment #0. All issues with packages in this list should be filed as separate bugs.
Comment 16 Agostino Sarubbo gentoo-dev 2013-09-29 11:12:47 UTC
I tested it for a week, all seems fine.
Comment 17 Agostino Sarubbo gentoo-dev 2013-09-29 11:18:27 UTC
amd64 stable
Comment 18 Jeroen Roovers gentoo-dev 2013-10-02 04:19:32 UTC
Stable for HPPA.
Comment 19 Agostino Sarubbo gentoo-dev 2013-10-03 20:14:26 UTC
ppc stable
Comment 20 Agostino Sarubbo gentoo-dev 2013-10-04 12:08:02 UTC
ppc64 stable
Comment 21 Agostino Sarubbo gentoo-dev 2013-10-05 04:59:46 UTC
alpha stable
Comment 22 Markus Meier gentoo-dev 2013-10-05 18:20:02 UTC
arm stable
Comment 23 Agostino Sarubbo gentoo-dev 2013-10-06 11:49:09 UTC
ia64 stable
Comment 24 Agostino Sarubbo gentoo-dev 2013-10-07 05:00:56 UTC
sparc stable
Comment 25 Agostino Sarubbo gentoo-dev 2013-10-08 05:10:25 UTC
x86 stable. Last arch, closing
Comment 26 Jeroen Roovers gentoo-dev 2013-12-23 17:48:24 UTC
Keywords for x11-libs/libXft:
            | a a a h i m m p p s s s x | u s | r
            | l m r p a 6 i p p 3 h p 8 | n l | e
            | p d m p 6 8 p c c 9   a 6 | u o | p
            | h 6   a 4 k s   6 0   r   | s t | o
            | a 4             4     c   | e   |
            |                           | d   |
------------+---------------------------+-----+-------
2.2.0       | + + + + + o ~ + + + + + + | # 0 | gentoo
2.3.0       | ~ ~ ~ ~ ~ o ~ ~ ~ ~ ~ ~ ~ | #   | gentoo
2.3.0-r1    | ~ ~ ~ ~ ~ o ~ ~ ~ ~ ~ ~ ~ | #   | gentoo
2.3.1       | + + + + + o ~ + + + + + + | o   | gentoo
[I]2.3.1-r1 | + + + ~ + o ~ + + ~ ~ + + | o   | gentoo


CC'ing arch teams....
Comment 27 Jeroen Roovers gentoo-dev 2013-12-23 23:10:26 UTC
Stable for HPPA.